﻿using LawFirmContracts.BindingModels;
using LawFirmContracts.SearchModels;
using LawFirmContracts.ViewModels;

namespace LawFirmContracts.BusinessLogicsContracts
{
    public interface IDocumentLogic
    {
        List<DocumentViewModel>? ReadList(DocumentSearchModel? model);
        DocumentViewModel? ReadElement(DocumentSearchModel model);
        bool Create(DocumentBindingModel model);
        bool Update(DocumentBindingModel model);
        bool Delete(DocumentBindingModel model);
    }
}
