﻿using LawFirmDataModels;
using LawFirmDataModels.Models;

namespace LawFirmDataModels.Models
{
    public interface IShopModel : IId
    {
        string ShopName { get; }
        string Address { get; }
        DateTime DateOpen { get; }
		public int Capacity { get; }
		Dictionary<int, (IDocumentModel, int)> ShopDocuments { get; }
    }
}
