﻿using LawFirmDatabaseImplement.Models;
using Microsoft.EntityFrameworkCore;

namespace LawFirmDatabaseImplement
{
    public class LawFirmDatabase : DbContext
    {
        protected override void OnConfiguring(DbContextOptionsBuilder optionsBuilder)
        {
            if (optionsBuilder.IsConfigured == false)
            {
                optionsBuilder.UseNpgsql(@"
                    Host=localhost;
                    Port=5432;
                    Database=RPP3hard;
                    Username=postgres;
                    Password=123");
            }
            base.OnConfiguring(optionsBuilder);
        }
        public virtual DbSet<Blank> Blanks { set; get; }
        public virtual DbSet<Document> Documents { set; get; }
        public virtual DbSet<DocumentBlank> DocumentBlanks { set; get; }
        public virtual DbSet<Order> Orders { set; get; }
		public virtual DbSet<Shop> Shops { set; get; }
		public virtual DbSet<ShopDocument> ShopDocuments { set; get; }
	}
}
