﻿using LawFirmDataModels.Models;

namespace LawFirmContracts.BindingModels
{
    public class DocumentBindingModel : IDocumentModel
    {
        public int Id { get; set; }
        public string DocumentName { get; set; } = string.Empty;
        public double Price { get; set; }
        public Dictionary<int, (IBlankModel, int)> DocumentBlanks
        {
            get;
            set;
        } = new();
    }
}
