﻿using LawFirmContracts.BindingModels;
using LawFirmContracts.SearchModels;
using LawFirmContracts.ViewModels;

namespace LawFirmContracts.BusinessLogicsContracts
{
    public interface IBlankLogic
    {
        List<BlankViewModel>? ReadList(BlankSearchModel? model);
        BlankViewModel? ReadElement(BlankSearchModel model);
        bool Create(BlankBindingModel model);
        bool Update(BlankBindingModel model);
        bool Delete(BlankBindingModel model);
    }
}
