﻿using System.ComponentModel;
using System.ComponentModel.DataAnnotations;

namespace LawFirmDatabaseImplement.Models
{
    public class DocumentBlank
    {
        public int Id { get; set; }
        [Required]
        public int DocumentId { get; set; }
        [Required]
        public int BlankId { get; set; }
        [Required]
        public int Count { get; set; }
        public virtual Blank Blank { get; set; } = new();
        public virtual Document Document { get; set; } = new();
    }
}
